MaLiLib логотип

MaLiLib

MaLiLib - бібліотечний мод для клієнтських модів masas, що містить корисний код.

Категорії мода


Завантаження 8M завантажень
Погляди 0 переглядів
Створено Створено 5 років тому

Зовнішні ресурси

Розробники моду

masady аватар

masady

Опис мода

MaLiLib - бібліотечний мод, що містить загальний код для клієнтських модів masas. Основними функціями є налаштування, налаштування клавіш, більшість коду GUI та інші корисні функції для модів, які його використовують. Переконайтеся, що ви отримали правильну версію мода зі сторінки Файли!! Зверніть увагу: є версії для Fabric і Forge для версій 1.14.4 та пізніших версій MC, подивіться на ім'я файлу, щоб отримати правильну версію! Ім'я файлу завжди вказує на завантажувач моду (наприклад, Fabric vs. Forge) та версію Minecraft: malilib---.jar Наприклад: malilib-fabric-1.15.2-0.10.0-dev.20+arne.6.jar MaLiLib необхідний для наступних модів, починаючи з вказаних версій: Item Scroller - 0.14.0 та пізніше Litematica - для будь-яких збудов з приблизно 2018-06-11 MiniHUD - 0.17.0 та пізніше TellMe - 0.6.1 та пізніше Tweakeroo - 0.8.0 та пізніше Точна необхідна версія malilib для кожної версії мода буде вказана в журналі змін кожного залежного мода. В основному, коли деякому моду потрібна новіша версія malilib, то всі інші залежні моди також отримають оновлення одночасно, якщо зміни в malilib порушують сумісність. Зазвичай ризики руйнування мають бути рідкісними. В основному ви повинні завжди мати змогу використовувати останню версію malilib для будь-якого залежного мода, принаймні, якщо ви оновлюєте їх одночасно, як ви завжди повинні. Коротше кажучи; оновлюйте все одночасно! Починаючи з версії 0.10.0-dev.19 malilib, єдину необхідну частину Fabric API вбудовано всередині malilib, тому вам більше не потрібно окремо отримувати мод Fabric API лише для моїх модів. Для MC 1.13.x слід зауважити, що підтримується лише 1.13.2, тому вам потрібно Rift для 1.13.2 від Chocoheads fork. Установка Rift 1.13.2 (якщо ви граєте в Minecraft 1.13.2): - Переконайтеся, що у вас встановлено Java 8 (Java 9 або новіше не буде працювати з Rift) Опція 1 - Використання лаунчера MultiMC (особисто я рекомендую це!): Отримайте MultiMC з Завантажте цей zip: У MultiMC клацніть на Додати екземпляр зверху Виберіть Імпорт з zip зліва та виберіть той zip-файл, який ви завантажили вище. Вкажіть екземпляру ім'я зверху та клацніть ОК, щоб завершити, і Rift буде встановлено на цей екземпляр. Якщо вам потрібна додаткова допомога з MultiMC, у мене є тут відео: Опція 2 - Для установки Rift 1.13.2 до ванільного лаунчера: Спочатку завантажте інсталятор Rift звідси: / jitpack-aeee80c1fb-1/Rift-jitpack-aeee80c1fb-1.jar Закрийте лаунчер Minecraft, якщо він працює Подвійний клацок по jar Rift, щоб запустити Його Якщо він встановився успішно, то відкрийте еквівалент файлу C: UsersmasaAppDataRoaming.minecraftversions1.13.2-rift-1.0.4-SNAPSHOT1.13.2-rift-1.0.4-SNAPSHOT.json (в залежності від вашої ОС та імені користувача тощо) у текстовому редакторі У масиві бібліотеки, на c

Скріншоти моду

Скріншот MaLiLib #15751